Bug 719916 - Gnome PackageKit displays backtrace for non-ascii characters in URL metadata
Summary: Gnome PackageKit displays backtrace for non-ascii characters in URL metadata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 14
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-08 11:52 UTC by Mattias Ellert
Modified: 2011-08-22 15:15 UTC (History)
4 users (show)

Fixed In Version: PackageKit-0.6.17-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 01:37:03 UTC
Type: ---


Attachments (Terms of Use)

Description Mattias Ellert 2011-07-08 11:52:43 UTC
Description of problem:
Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xc9 in position 36: ordinal not in range(128)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3612, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3609, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 759, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 603, in dispatch_command
    self.get_details(package_ids)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2590, in get_details
    self._show_details_pkg(pkg)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2614, in _show_details_pkg
    self.details(package_id, pkg.license, group, desc, pkg.url, size)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 308, in details
    PackageKitBaseBackend.details(self, package_id, package_license, group, desc, url, bytes)
  File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 233, in details
    print >> sys.stdout, "details\t$s\t$s\t$s\t$s\t$s\t$ld" $ (package_id, package_license, group, desc, url, bytes)


Version-Release number of selected component (if applicable):
gnome-packagekit-2.32.0-2.fc14.x86_64
PackageKit-yum-0.6.12-3.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start Gnome Package Kit (gpk-application)
2. Search for hunspell
3. Select hunspell-ak
  
Actual results:
A window pops up saying "an internal error has occurred" with the backtrace above.

Expected results:
The package's description should be displayed in the lower panel, like for other package. No error.

Additional info: It look like for some reason Gnome PackageKit does not like the non-ascii characters in the URL tag in the RPM:

rpm -qi hunspell-ak
Name        : hunspell-ak                  Relocations: (not relocatable)
Version     : 0.6                               Vendor: Fedora Project
Release     : 1.fc14                        Build Date: tor 25 feb 2010 21.46.36
Install Date: fre  8 jul 2011 13.43.44         Build Host: xb-01.phx2.fedoraproject.org
Group       : Applications/Text             Source RPM: hunspell-ak-0.6-1.fc14.src.rpm
Size        : 54343                            License: LGPLv3
Signature   : RSA/SHA256, sön 25 jul 2010 05.27.59, Key ID 421caddb97a1071f
Packager    : Fedora Project
URL         : http://kasahorow.org/content/akan-nsɛmfuaasekyerɛ
Summary     : Akan hunspell dictionaries
Description :
Akan hunspell dictionaries.

Comment 1 Richard Hughes 2011-07-08 12:48:00 UTC
I can reproduce this. Fixing now.

Comment 2 Richard Hughes 2011-07-08 12:52:35 UTC
commit 7f752fe0241dde3c42ddda18ec93fed3977290e4
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 8 13:51:34 2011 +0100

    yum: Manually convert the results of GetDetails to unicode. Fixes rh#719916

This will be included in the next upstream release release, which is in about a months time. Thanks for reporting this bug.

Comment 3 Fedora Update System 2011-08-01 12:40:05 UTC
PackageKit-0.6.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/PackageKit-0.6.17-1.fc15

Comment 4 Fedora Update System 2011-08-02 02:10:00 UTC
Package PackageKit-0.6.17-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing PackageKit-0.6.17-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/PackageKit-0.6.17-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-02 11:05:59 UTC
PackageKit-0.6.17-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PackageKit-0.6.17-2.fc16

Comment 6 Fedora Update System 2011-08-09 01:36:53 UTC
PackageKit-0.6.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-08-22 15:14:58 UTC
PackageKit-0.6.17-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.